Bug 1191118 - CVE-2014-8139 CVE-2014-8141 CVE-2014-8140 unzip: various flaws [fedora-all]
Summary: CVE-2014-8139 CVE-2014-8141 CVE-2014-8140 unzip: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: unzip
Version: 21
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Petr Stodulka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-8139 CVE-2014-8140 CVE-2014-8141
TreeView+ depends on / blocked
 
Reported: 2015-02-10 13:36 UTC by Tomas Hoger
Modified: 2015-02-23 23:25 UTC (History)
3 users (show)

Fixed In Version: unzip-6.0-17.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 03:25:32 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2015-02-10 13:36:48 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2015-02-10 13:36:54 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1174844,1191118

# Description of your update
notes=Security fix for CVE-2014-8139

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1174844,1191118

Comment 2 Tomas Hoger 2015-02-10 13:37:06 UTC
Adding parent bug 1174851 (for CVE-2014-8140).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191118,1174844,1174851

# Description of your update
notes=Security fix for CVE-2014-8139, CVE-2014-8140

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191118,1174844,1174851

Comment 3 Tomas Hoger 2015-02-10 13:37:22 UTC
Adding parent bug 1174856 (for CVE-2014-8141).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191118,1174844,1174851

# Description of your update
notes=Security fix for CVE-2014-8139, CVE-2014-8140, CVE-2014-8141

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191118,1174844,1174851

Comment 4 Fedora Update System 2015-02-10 20:56:13 UTC
unzip-6.0-19.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/unzip-6.0-19.fc21

Comment 5 Fedora Update System 2015-02-10 20:56:25 UTC
unzip-6.0-16.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/unzip-6.0-16.fc20

Comment 6 Fedora Update System 2015-02-11 16:14:56 UTC
unzip-6.0-17.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/unzip-6.0-17.fc20

Comment 7 Fedora Update System 2015-02-11 16:15:10 UTC
unzip-6.0-20.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/unzip-6.0-20.fc21

Comment 8 Fedora Update System 2015-02-15 03:12:34 UTC
Package unzip-6.0-17.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing unzip-6.0-17.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1993/unzip-6.0-17.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-02-16 03:25:32 UTC
unzip-6.0-20.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-02-23 23:25:11 UTC
unzip-6.0-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.